#!/bin/bash
# -*- coding: utf-8 -*-
PREFIX_DIR="$(dirname $0)"

# Répertoire local
#SRC_DIR="basecontacts_gabnor"
# Répertoire sur le serveur
DEST_USER="gabnor_sloli@hebergement.cliss21.com"
DEST_DIR="/var/www/gabnor_sloli/django/basecontacts_gabnor"
PROJ_DIR="$PREFIX_DIR" # "/basecontacts_gabnor/"

RSYNC_DRY_RUN=${RSYNC_DRY_RUN:-0}
[ "x$RSYNC_DRY_RUN" = "x1" ] && RSYNC_DRY_RUN_OPT="--dry-run"

# collect static file
$PROJ_DIR/manage.py collectstatic

# check for debug symbole
echo " -- test des drapeaux de debug pdb/DBG -- "
find "$PROJ_DIR" -name "*.py" | xargs grep -nEve "^[[:blank:]]*(#.*|)$" | grep --color -Ee 'DBG|pdb'
find "$PROJ_DIR" -name "*.html" | xargs grep --color -nEe 'DBG|pdb'

# test
$PROJ_DIR/manage.py test contacts references

# doit deja etre fait dans la librairy "basket"
# echo -n "Compilation des locales ? (o/[n]) "
# read ans
# [ "x$ans" = "xo" ] && { cd basket && ../manage.py compilemessages ; cd .. ; }

echo -n "rsync vers $DEST_USER:$DEST_DIR ? (o/[n]) "
read ans
[ "x$ans" != "xo" ] && { exit 0 ; }

rsync $RSYNC_DRY_RUN_OPT -av --delete --exclude dbdumps --exclude "doc/*" --exclude upload --exclude "settings_local*.py" --exclude "*~"  --exclude '*.pyc' --exclude '*.py.swp' $PROJ_DIR/ ${DEST_USER}:${DEST_DIR}


echo -n "relance du code via ssh: ([o]/n) "
read ans
[ "x$ans" != "xn" ] && ssh $DEST_USER touch django/public/basecontacts.wsgi
# EOF


